import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/ncjtEntranceGuard/getUserPageList',
    method: 'get',
    params: query
  })
}

export function createUser(data) {
  return request({
    url: '/ncjtEntranceGuard/addUser',
    method: 'post',
    data
  })
}

export function deletUser(query) {
  return request({
    url: '/ncjtEntranceGuard/deleteUserById',
    method: 'get',
    params: query
  })
}

export function updateUser(data) {
  return request({
    url: '/ncjtEntranceGuard/updateUser',
    method: 'post',
    data
  })
}
